package cn.iocoder.yudao.module.system.service.home;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceItemPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceItemPageRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceItemRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceItemSaveReqVO;

public interface HomeServiceItemService {

    Long createHomeServiceItem(HomeServiceItemSaveReqVO createReqVO);

    void updateHomeServiceItem(HomeServiceItemSaveReqVO updateReqVO);

    void deleteHomeServiceItem(Long id);

    HomeServiceItemRespVO getHomeServiceItem(Long id);

    PageResult<HomeServiceItemPageRespVO> getHomeServiceItemPage(HomeServiceItemPageReqVO pageReqVO);
}



